Mtext on a set layer

Discussion in 'AutoCAD' started by scatman99, Aug 12, 2004.

  1. scatman99

    scatman99 Guest

    I am trying to devise a lisp program that will allow me to insert Mtext on a specific layer, i can get to the point where the box is picked than nothing happens, any ides would be apprecisted.
    Cheers.

    (defun c:txtlayernotes (/ clayer)
    (setq Clayer (getvar "clayer"))
    (command "layer" "m" "03-NOTES-1" "c" 7 "" "")
    (command "_mtext")
    (while (eq 1 (logand 1 (getvar "CMDACTIVE")))(command pause))
    (setvar "clayer" clayer)
    )
     
    scatman99, Aug 12, 2004
    #1
  2. You might try this

    (initdia)
    (command "_mtext")

    --
    Autodesk Discussion Group Facilitator


    a specific layer, i can get to the point where the box is picked than
    nothing happens, any ides would be apprecisted.
     
    Jason Piercey, Aug 12, 2004
    #2
  3. You're welcome.
     
    Jason Piercey, Aug 12, 2004
    #3
  4. scatman99

    scatman99 Guest

    Any ideas on this one, same principle but with a quick leader!
    Cheers!

    (defun c:leaderlayernotes (/ clayer)
    (setq Clayer (getvar "clayer"))
    (command "layer" "m" "03-NOTES-1" "c" 2 "" "")
    (initdia)
    (command "_qleader")
    (while (eq 1 (logand 1 (getvar "CMDACTIVE")))(command pause))
    (setvar "clayer" clayer)
    )
     
    scatman99, Aug 12, 2004
    #4
  5. Allen Johnson, Aug 12, 2004
    #5
  6. scatman99

    scatman99 Guest

    I ahve now, thats a cool programme, Cheers!
     
    scatman99, Aug 13, 2004
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.